package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;

/**
 * 单站监控-设备监控-实时运行头部行数据
 *
 */
public class SiteMonitorRunningHeadInfoVo {
    /**
     * 实时有功功率
     */
    private BigDecimal totalActivePower;

    /**
     * 实时无功功率
     */
    private BigDecimal totalReactivePower;

    /**
     * 电池簇SOC
     */
    private BigDecimal soc;

    /**
     * 电池堆SOH
     */
    private BigDecimal soh;

    /**
     * 今日充电量
     */
    private BigDecimal dayChargedCap;

    /**
     * 今日放电量
     */
    private BigDecimal dayDisChargedCap;

    /**
     * 站点id
     */
    private String siteId;

    public BigDecimal getTotalActivePower() {
        return totalActivePower;
    }

    public void setTotalActivePower(BigDecimal totalActivePower) {
        this.totalActivePower = totalActivePower;
    }

    public BigDecimal getTotalReactivePower() {
        return totalReactivePower;
    }

    public void setTotalReactivePower(BigDecimal totalReactivePower) {
        this.totalReactivePower = totalReactivePower;
    }

    public BigDecimal getSoc() {
        return soc;
    }

    public void setSoc(BigDecimal soc) {
        this.soc = soc;
    }

    public BigDecimal getSoh() {
        return soh;
    }

    public void setSoh(BigDecimal soh) {
        this.soh = soh;
    }

    public BigDecimal getDayChargedCap() {
        return dayChargedCap;
    }

    public void setDayChargedCap(BigDecimal dayChargedCap) {
        this.dayChargedCap = dayChargedCap;
    }

    public BigDecimal getDayDisChargedCap() {
        return dayDisChargedCap;
    }

    public void setDayDisChargedCap(BigDecimal dayDisChargedCap) {
        this.dayDisChargedCap = dayDisChargedCap;
    }

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }
}
